## org.eclipse.emf.cdo.ui
Interface CDOEditorInput

All Superinterfaces:
  IAdaptable, IEditorInput

    public interface CDOEditorInput

extends IEditorInput

Since:
  2.0

Method Summary
`java.lang.String` `getResourcePath()`
`CDOView` `getView()`
`boolean` `isViewOwned()`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getView

    CDOView getView()

### isViewOwned

    boolean isViewOwned()

### getResourcePath

    java.lang.String getResourcePath()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.